"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFiles = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const filter_js_1 = require("./filter.js");
const getFiles = (dirPath, files = [], configs) => {
    const currentFiles = fs_1.default.readdirSync(dirPath);
    const filter = (filter_js_1.filter ? filter_js_1.filter : configs === null || configs === void 0 ? void 0 : configs.filter) || /\.test\./i;
    for (const file of currentFiles) {
        const fullPath = path_1.default.join(dirPath, file);
        if (fs_1.default.statSync(fullPath).isDirectory()) {
            (0, exports.getFiles)(fullPath, files, configs);
        }
        else if (filter.test(fullPath)) {
            files.push(fullPath);
        }
    }
    return files;
};
exports.getFiles = getFiles;
