"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.exit = void 0;
const hr_js_1 = require("../helpers/hr.js");
const exit = (code, quiet) => {
    !quiet &&
        process.on('exit', (code) => {
            console.log(`About to exit with code`, code);
        });
    !quiet && (0, hr_js_1.hr)();
    if (code !== 0) {
        !quiet && console.log('Some tests failed.');
        process.exit(1);
    }
    !quiet && console.log('All tests passed.');
    process.exit(0);
};
exports.exit = exit;
process.stdout.on('resize', hr_js_1.hr);
process.on('unhandledRejection', (reason) => {
    console.log('unhandledRejection', reason);
    process.exit(1);
});
process.on('uncaughtException', (err) => {
    console.log('uncaughtException', err);
    process.exit(1);
});
