"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.poku = void 0;
const force_array_js_1 = require("../helpers/force-array.js");
const runTests_js_1 = require("../services/runTests.js");
const exit_js_1 = require("./exit.js");
function poku(targetDirs, configs) {
    return __awaiter(this, void 0, void 0, function* () {
        let code = 0;
        const dirs = (0, force_array_js_1.forceArray)(targetDirs);
        if (configs === null || configs === void 0 ? void 0 : configs.parallel) {
            for (const dir of dirs) {
                (0, runTests_js_1.runTestsParallel)(dir, configs).then((result) => {
                    if (!result)
                        code = 1;
                });
            }
            process.on('beforeExit', () => {
                if (configs === null || configs === void 0 ? void 0 : configs.noExit)
                    return code;
                (0, exit_js_1.exit)(code, configs === null || configs === void 0 ? void 0 : configs.quiet);
            });
            return;
        }
        for (const dir of dirs) {
            const result = yield (0, runTests_js_1.runTests)(dir, configs);
            if (!result)
                code = 1;
        }
        if (configs === null || configs === void 0 ? void 0 : configs.noExit)
            return code;
        (0, exit_js_1.exit)(code, configs === null || configs === void 0 ? void 0 : configs.quiet);
    });
}
exports.poku = poku;
